- name: Refreshing systemd daemon list
  systemd:
    daemon_reload: yes

- name: Starting and enabling the STCP Server service
  systemd:
    name: 'stcp_{{ stcp_instance_name }}'
    state: restarted
    enabled: yes
  when: run_stcp == true